<? session_start();
include 'cnn.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso esta logado!"; }
else{
$Gms = mssql_fetch_row(mssql_query("select painelgm from memb_info where memb___id='".$login."'"));
if($Gms[0] <= 0) { echo "Você não faz parte da Administração"; }
else{
?>
<style>
#bbc {
text-align: center;
width: 23px;
height: 22px;
background-image: url('bbc/bbc_bg.gif');
}
#bbc:hover {
text-align: center;
width: 23px;
height: 22px;
background-image: url('bbc/bbc_hoverbg.gif');
cursor: Pointer;
}
.quote {
	font-family: "Verdana";
	font-size: 10px;
	color: #000000;
	background-color: #FFFFF9;
	border: 1px solid #CCCCCC;
	padding: 5px;
}
</style>
<?PHP
ob_start();
include 'cnn.php';
include 'functionbb.php';
if(isset($_POST['pre'])){
$_POST['bbcodes'] = str_replace("\'","'",$_POST['bbcodes']);
$_POST['bbcodes'] = str_replace('\"','"',$_POST['bbcodes']);
print('<div> <b>Visualização:</b> <br>'.nl2br(bbcode($_POST['bbcodes'])).'</div><hr width="100%">');
}

if($_POST['add']) {
   $titulo=$_POST['titu'];
   $por=$_POST['por'];
   $tipo=$_POST['tipo'];
   $data=date("d/m/y");
   $msg=$_POST['bbcodes'];
   if(empty($titulo) || empty($por) || empty($tipo) || empty($msg)) {
   echo "<script>alert('Preencha todos os campos'); location='javascript:history.back()'</script>";
   }
   else{
   mssql_query("INSERT INTO noticias (titulo,por,tipo,data,noticia) values ('$titulo','$por','$tipo','$data','$msg')");
   echo "<script>alert('Notícia adicionada'); location='index.php?go=home'</script>";}
}

?>
<h1>Adicionar Noticia</h1>
<br />
<div class="quadros">
<form name="form" method="post" action="">
<table width="96%" border="0" cellspacing="2" cellpadding="0">
  <tr> 
    <td width="23"><div id="bbc" onclick="addBB('[b]','[/b]')"><img src="bbc/bold.gif" width="23" height="22" title="Negrito"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[I]','[/I]')"><img src="bbc/italicize.gif" width="23" height="22" title="Itálico"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[u]','[/u]')"><img src="bbc/underline.gif" width="23" height="22" title="Sublinhado"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[s]','[/s]')"><img src="bbc/strike.gif" width="23" height="22" title="Rasurado"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[pre]','[/pre]')"><img src="bbc/pre.gif" width="23" height="22" title="Texto pré-formatado"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[esquerda]','[/esquerda]')"><img src="bbc/left.gif" width="23" height="22" title="Alinhar a Esquerda"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[centro]','[/centro]')"><img src="bbc/center.gif" width="23" height="22" title="Alinhar ao Centro"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[direita]','[/direita]')"><img src="bbc/right.gif" width="23" height="22" title="Alinhar a Direita"></div></td>
    <td width="23"><div id="bbc" onclick="addBB('[hr]','')"><img src="bbc/hr.gif" width="23" height="22" title="Linha Horizontal"></div></td>
    <td width="23">&nbsp;</td>
    <td width="23"><div id="bbc" onclick="addBB('[eagudo]','')">&eacute;</div></td>
    <td width="116"><select name="fonte" id="select6" onchange="addBB('[fonte='+this.value+']','[/fonte]');">
        <option>Fonte</option>
        <option value="Arial">Arial</option>
        <option value="Verdana">Verdana</option>
        <option value="Trebuchet Ms">Trebuchet Ms</option>
        <option value="Tahoma">Tahoma</option>
      </select></td>
    </tr>
  <tr> 
    <td><div id="bbc" onclick="addBB('[flash=200,200]','[/flash]')"><img src="bbc/flash.gif" width="23" height="22" title="Adicionar Flash"></div></td>
    <td><div id="bbc" onclick="addSpecial('img')"><img src="bbc/img.gif" width="23" height="22" title="Adicionar Imagem"></div></td>
    <td><div id="bbc" onclick="addSpecial('url')"><img src="bbc/url.gif" width="23" height="22" title="Adicionar Link"></div></td>
    <td><div id="bbc" onclick="addSpecial('email')"><img src="bbc/email.gif" width="23" height="22" title="Adicionar E-mail"></div></td>
    <td><div id="bbc" onclick="addSpecial('ftp')"><img src="bbc/ftp.gif" width="23" height="22" title="Adicionar Link de FTP"></div></td>
    <td><div id="bbc" onclick="addBB('[table]','[/table]')"><img src="bbc/table.gif" width="23" height="22" title="Adicionar Tabela"></div></td>
    <td><div id="bbc" onclick="addBB('[tr]','[/tr]')"><img src="bbc/tr.gif" width="23" height="22" title="Adicionar Linha de Tabela"></div></td>
    <td><div id="bbc" onclick="addBB('[td]','[/td]')"><img src="bbc/td.gif" width="23" height="22" title="Adicionar Coluna de Tabela"></div></td>
    <td><div id="bbc" onclick="addBB('[sup]','[/sup]')"><img src="bbc/sup.gif" width="23" height="22" title="Elevado"></div></td>
    <td><div id="bbc" onclick="addBB('[sub]','[/sub]')"><img src="bbc/sub.gif" width="23" height="22" title="Subtexto"></div></td>
    <td><div id="bbc" onclick="addBB('[citar]','[/citar]')"><img src="bbc/quote.gif" width="23" height="22" title="Citação"></div></td>
    <td><select name="cor" id="select3" onchange="addBB('[cor='+this.value+']','[/cor]');">
      <option>Cor</option>
      <option value="#0000FF">Azul</option>
      <option value="#FF6600">Laranja</option>
      <option value="#009900">Verde</option>
      <option value="#FFFFFF">Branco</option>
      <option value="#000000">Preto</option>
      <option value="#993300">Marrom</option>
      <option value="#FF6699">Rosa</option>
      <option value="#FFCCFF">Lil&aacute;s</option>
      <option value="#FF0000">Vermelho</option>
      <option value="#FFFF00">Amarelo</option>
      <option value="#990099">Roxo</option>
      <option value="#990000">Vinho</option>
    </select></td>
    </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td><select name="tamanho" id="select5" onchange="addBB('[tamanho='+this.value+']','[/tamanho]');">
      <option>Tamanho</option>
      <option value="10">10px</option>
      <option value="11">11px</option>
      <option value="12">12px</option>
      <option value="13">13px</option>
      <option value="14">14px</option>
      <option value="16">16px</option>
      <option value="18">18px</option>
      <option value="24">24px</option>
      <option value="36">36px</option>
      <option value="72">72px</option>
    </select></td>
    </tr>
</table>
  <strong>Titulo: 
    <label>    </label>
  </strong>
  <label><br />
    <input name="titu" type="text" id="titu" maxlength="200" class="submit" />
    </label>
    <br />
    <strong>Por: 
    <label>    </label>
    </strong>
    <label><br />
    <select name="por" id="por">
      <?
		$Chars = mssql_query("select name from character where accountid='".$login."'");
		for($p=0;$p<mssql_num_rows($Chars);$p++) {
		$Char=mssql_fetch_row($Chars);
		echo '<option value='.$Char[0].'>'.$Char[0].'</option>';
		}
		?>
    </select>
    </label>
    <br />
    <strong>Tipo:    </strong><br />
    <input name="tipo" type="text" id="tipo" maxlength="20" class="submit" />
    <br />
    <strong>Mensagem:</strong><br />
    <textarea name="bbcodes" style="font-size:12px" cols="60" rows="5" id="bbcodes"><?=$_POST[bbcodes];?>
    </textarea>
    <br>
    <input class="submit" name="pre" type="submit" id="pre" value="Visualizar" />
    <input class="submit" name="add" type="submit" id="add" value="Adicionar" />
</form>
</div>
  <script>
function addBB(pBB,sBB){
if(document.selection){
var selecionado = document.selection.createRange().text;
}else{
var inicio = document.form.bbcodes.selectionStart;
var fim = document.form.bbcodes.selectionEnd;
var selecionado = document.form.bbcodes.value.substring(inicio,fim);
}
var textoOriginal = document.form.bbcodes.value;
if(selecionado==""){
document.form.bbcodes.value += pBB+sBB;
}else{
var meuNTexto = pBB + selecionado + sBB;
var textoFormatado = (textoOriginal.replace(selecionado, meuNTexto));
document.form.bbcodes.value = textoFormatado;
}
form.bbcodes.focus();
}
function addCode(code){
var inicio = document.form.bbcodes.selectionStart;
var selecionado = document.form.bbcodes.value.substring(inicio,inicio);
if(selecionado==""){
document.form.bbcodes.value += code;
}else{
var textoOriginal = document.form.bbcodes.value;
var textoFormatado = (textoOriginal.replace(selecionado, code));
document.form.bbcodes.value = textoFormatado;
form.bbcodes.focus();
}
}
function addSpecial(mode){
if(document.selection){
var selecionado = document.selection.createRange().text;
}else{
var inicio = document.form.bbcodes.selectionStart;
var fim = document.form.bbcodes.selectionEnd;
var selecionado = document.form.bbcodes.value.substring(inicio,fim);
}
var textoOriginal = document.form.bbcodes.value;
var textoFormatado = (textoOriginal.replace(selecionado, ""));
document.form.bbcodes.value = textoFormatado;
if(mode=='img'){
var thisIMG = prompt("Entre com a URL da imagem que você gostaria de adicionar.",selecionado);
if(thisIMG==null){return false;}
addCode('[img]'+thisIMG+'[/img]');
}else if(mode=='email'){
var thisURL = prompt("Entre com o endereço de E-mail que você deseja adicionar.",selecionado);
if(thisURL==null){return false;}
var thisMAIL = prompt("Entre com algum titulo para o e-mail, se quiser.", thisURL);
addCode('[email='+thisURL+']'+thisMAIL+'[/email]');
}else if(mode=='url'){
var thisURL = prompt("Entre com a url do site.",'http://'+selecionado);
if(thisURL==null){return false;}
var thisLINK = prompt("Entre com algum nome para a url, se quiser.", thisURL);
addCode('[url='+thisURL+']'+thisLINK+'[/url]');
}else if(mode=='ftp'){
var thisURL = prompt("Entre com a url do ftp.",'ftp://'+selecionado);
if(thisURL==null){return false;}
var thisLINK = prompt("Entre com algum nome para a url, se quiser.", thisURL);
addCode('[ftp='+thisURL+']'+thisLINK+'[/ftp]');
}
}
</script>
  
<?
} 
}
?>
